summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorthislooksfun <tlf@thislooks.fun>2021-10-29 03:27:29 -0500
committerAndreas Kling <kling@serenityos.org>2021-11-02 12:23:30 +0100
commit03494ed6ba31cf8603764bc3a9d4357ca0c8bdad (patch)
tree426cb23b99ffcdfedcebbab4fc4eded4be004d63
parenta984545a94c7abe8cd47d27f38274738da1443ad (diff)
downloadserenity-03494ed6ba31cf8603764bc3a9d4357ca0c8bdad.zip
Meta: Add a check to ensure grep -P stays gone
grep -P does not work on macOS, but grep -E does.
-rwxr-xr-xMeta/lint-shell-scripts.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/Meta/lint-shell-scripts.sh b/Meta/lint-shell-scripts.sh
index dfa00cec7e..37e1efcdb0 100755
--- a/Meta/lint-shell-scripts.sh
+++ b/Meta/lint-shell-scripts.sh
@@ -30,6 +30,15 @@ if (( ${#files[@]} )); then
fi
shellcheck "${files[@]}"
+
+ for file in "${files[@]}"; do
+ if (< "$file" grep -qE "grep [^|);]*-[^- ]*P"); then
+ # '\x2D' is the unicode escape sequence for '-'. This is used so
+ # that this script does not flag itself for containing grep dash P.
+ echo -e "The script '$file' contains 'grep \x2DP', which is not supported on macOS. Please use grep -E instead."
+ exit 1
+ fi
+ done
else
echo "No .sh files to check."
fi